Status: Closed Start date:
Priority: Normal Due date:
Assignee: Jean-Philippe Lang % Done: 0%
Category: Documentation Estimated time: 0.00 hour
Target version: 2.1.0
Resolution: Fixed Affected version: 2.0.0
Description

when we type :

ruby script/generate redmine_plugin MyPlugin

It shows :

ruby: No such file or directory -- script/generate (LoadError)

So it's impossible to generate a new plugin.

Environment:
  Redmine version                          2.0.0.stable
  Ruby version                             1.8.7 (x86_64-linux)
  Rails version                            3.2.3
  Environment                              production
  Database adapter                         MySQL
Redmine plugins:
  no plugin installed

Related issues:
Related to Redmine - Defect # 11024: redmine_plugin_model generator does not ... Closed

History
#1 - 2012-05-15 16:25 - Antoine Rodriguez

I run this command from the redmine folder "/opt/redmine"

#2 - 2012-05-15 16:42 - Etienne Massip
- Target version set to 2.1.0

Indeed, mentionned in tags source:/tags/2.0.0/lib/generators/redmine_plugin_model/USAGE but script/generate has been removed with other Rails 2
scripts.

#3 - 2012-05-15 16:42 - Etienne Massip
- Status changed from New to Confirmed

#4 - 2012-05-15 16:42 - Etienne Massip
- Category changed from Core Plugins to Plugin API
#5 - 2012-05-15 16:52 - Antoine Rodriguez

Thanks to your document I managed to build a plugin by typing this :

./script/rails generate redmine_plugin plugin_name

The document include an error because it says ./script/generate instead of ./script/rails generate

Best regards,

#6 - 2012-05-15 17:19 - Etienne Massip
- Subject changed from Generating a plugin fails under redmine 2.0 to Documentation about generating a plugin is not up-to-date
- Category changed from Plugin API to Documentation

Thanks for the report!

#7 - 2012-05-28 10:48 - Jean-Philippe Lang
- Status changed from Confirmed to Closed
- Assignee set to Jean-Philippe Lang
- Resolution set to Fixed

The [[plugin tutorial]] has been updated for 2.x.
